| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # XSIDCDefinition Class Reference Inheritance diagram for XSIDCDefinition: [legend] Collaboration diagram for XSIDCDefinition: [legend] List of all members.
## Public Types
enum | IC_CATEGORY { IC_KEY = 1, IC_KEYREF = 2, IC_UNIQUE = 3 }
## Public Methods
Constructors
| XSIDCDefinition (IdentityConstraint *const identityConstraint, XSIDCDefinition *const keyIC, XSAnnotation *const headAnnot, StringList *const stringList, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~XSIDCDefinition ()
overridden XSXSObject methods
const XMLCh * | getName ()
| The name of type `NCName` of this declaration as defined in XML Namespaces. More...
const XMLCh * | getNamespace ()
| The [target namespace] of this object, or `null` if it is unspecified. More...
XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. More...
XSIDCDefinition methods
IC_CATEGORY | getCategory () const
| [identity-constraint category]: one of IC_KEY, IC_KEYREF or IC_UNIQUE. More...
const XMLCh * | getSelectorStr ()
| [selector]: a restricted XPath expression. More...
StringList * | getFieldStrs ()
| [fields]: a non-empty list of restricted XPath ([XPath]) expressions. More...
XSIDCDefinition * | getRefKey () const
| [referenced key]: required if [identity-constraint category] is IC_KEYREF, forbidden otherwise (when an identity-constraint definition with [ identity-constraint category] equal to IC_KEY or IC_UNIQUE). More...
XSAnnotationList * | getAnnotations ()
| A set of [annotations]. More...
## Protected Attributes
IdentityConstraint * | fIdentityConstraint
XSIDCDefinition * | fKey
StringList * | fStringList
XSAnnotationList * | fXSAnnotationList
## Member Enumeration Documentation
enum XSIDCDefinition::IC_CATEGORY
  | Enumeration values:
  IC_KEY |
  IC_KEYREF |
  IC_UNIQUE |
## Constructor & Destructor Documentation
XSIDCDefinition::XSIDCDefinition | ( | IdentityConstraint *const | identityConstraint,
|  | XSIDCDefinition *const | keyIC,
|  | XSAnnotation *const | headAnnot,
|  | StringList *const | stringList,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |
  | The default constructor. Parameters:
  identityConstraint |
  keyIC |
  headAnnot |
  stringList |
  xsModel |
  manager | The configurable memory manager
XSIDCDefinition::~XSIDCDefinition | ( |  | ) |
## Member Function Documentation
XSAnnotationList* XSIDCDefinition::getAnnotations | ( |  | ) |
| A set of [annotations].
IC_CATEGORY XSIDCDefinition::getCategory | ( |  | ) | const
| [identity-constraint category]: one of IC_KEY, IC_KEYREF or IC_UNIQUE.
StringList * XSIDCDefinition::getFieldStrs | ( |  | ) |
| [fields]: a non-empty list of restricted XPath ([XPath]) expressions.
const XMLCh* XSIDCDefinition::getName | ( |  | ) | `[virtual]`
| The name of type `NCName` of this declaration as defined in XML Namespaces. Reimplemented from XSObject.
const XMLCh* XSIDCDefinition::getNamespace | ( |  | ) | `[virtual]`
| The [target namespace] of this object, or `null` if it is unspecified. Reimplemented from XSObject.
XSNamespaceItem* XSIDCDefinition::getNamespaceItem | ( |  | ) | `[virtual]`
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. Reimplemented from XSObject.
XSIDCDefinition * XSIDCDefinition::getRefKey | ( |  | ) | const
| [referenced key]: required if [identity-constraint category] is IC_KEYREF, forbidden otherwise (when an identity-constraint definition with [ identity-constraint category] equal to IC_KEY or IC_UNIQUE).
const XMLCh* XSIDCDefinition::getSelectorStr | ( |  | ) |
| [selector]: a restricted XPath expression.
## Member Data Documentation
IdentityConstraint* XSIDCDefinition::fIdentityConstraint`[protected]`
XSIDCDefinition* XSIDCDefinition::fKey`[protected]`
StringList* XSIDCDefinition::fStringList`[protected]`
XSAnnotationList* XSIDCDefinition::fXSAnnotationList`[protected]`
The documentation for this class was generated from the following file: XSIDCDefinition.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.